## faumachine 20180503

=== doc/DesignNotes/Makefile ===
#
# Copyright (C) 2002-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

PDF=hostsupport.pdf internals.pdf justintime.pdf

all: $(PDF)

clean distclean::
	rm -rf $(PDF)

%.pdf: %.tex
	pdflatex $*.tex < /dev/null
	pdflatex $*.tex < /dev/null
	rm -f $*.aux
	rm -f $*.log
	rm -f $*.toc
clean distclean::
	for file in *.tex ; do \
		rm -f `basename $${file} .tex`.pdf; \
	done

%.png: %.dia
	dia --export $*.png --filter png -s 1024 $*.dia
clean distclean::
	for file in *.dia ; do \
		rm -f `basename $${file} .dia`.png; \
	done

internals.pdf: internals.tex \
		simple.png \
		shadow.png \
		socket.png \
		architecture.png \
		mb_ga_686dlx.png
