=== experiments/UltimateBootCD-2.31-int/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := ubcd231.iso
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd23-%: $(EXP_DIR)/generate.dir/ubcd23-%
	ln -sf $(EXP_DIR)/generate.dir/ubcd23-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate
