=== experiments/UltimateBootCD-3.2-jit/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := ubcd32-full.iso \
		Caldera-2.4-CD-1
CHANGE_DISK_SIZE := 128
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd32-%: $(EXP_DIR)/../UltimateBootCD-3.2-int/generate.dir/ubcd32-%
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.2-int/generate.dir/ubcd32-$* generate
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.2-int/pointers .
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.2-int/screenshots .
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate
	$(RM) pointers
	$(RM) screenshots

clean distclean::
	$(RM) generate
	$(RM) pointers
	$(RM) screenshots
