=== experiments/UltimateBootCD-3.4-jit/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := UltimateBootCD-3.4-full
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd34-%: $(EXP_DIR)/../UltimateBootCD-3.4-int/generate.dir/ubcd34-%
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.4-int/generate.dir/ubcd34-$* generate
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.4-int/screenshots .
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate
	$(RM) screenshots

clean distclean::
	$(RM) generate
	$(RM) screenshots
