=== experiments/install-Debian-3.0r0-int/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := Debian-3.0r0-CD-1

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk
