=== debian/changelog ===
faumachine (20180503-4) unstable; urgency=medium

  * Team upload.
  * Correct 00-fix-desktop-file.patch:
    * Fix a typo.
    * Remove GNOME from categories, as FAUmachine doesn't depend on GNOME
      libraries.
    * Add StartupWMClass field to make GNOME 3 display FAUmachine's
      application icon at runtime.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 11 Nov 2018 13:22:00 +0100

faumachine (20180503-3) unstable; urgency=medium

  [ Bruno "Fuddl" Kleinert]
  * Team upload.
  * Add myself to uploaders in accordance with Stefan.
  * Add lintian overrides for:
    * non-executable scripts and documentation outside /usr/share/doc scripts
      in faumachine-data
    * missing watch file in source package. Upstream releases are done by
      Stefan.
    * binaries that break if PIE was enabled.
  * Add debian/patches/00-fix-desktop-file.patch to add missing fields to
    faum.desktop.
  * Standards version 4.2.1: No changes required.
  * Move Built-Using field to binary package sections and extend debian/rules
    accordingly.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 05 Nov 2018 19:36:13 +0100

faumachine (20180503-2) unstable; urgency=medium

  * Cherry-pick upstream fixes for DBTS: 902459 (Closes: #902459):
    + Add 01-handle-R_X86_64_PLT32.patch to handle new relocations
      emitted by newer gcc/ld.
    + Add 02-new-iasl.patch to handle changed output of newer
      iasl versions.

 -- Stefan Potyra <stefan@potyra.de>  Fri, 03 Aug 2018 20:50:14 +0200

faumachine (20180503-1) unstable; urgency=medium

  * New upstream release, highlights:
    + Builds with newer gcc versions (Closes: #837450, #870934).
    + Many other improvements.
  * debian/control:
    + Update my email address.
    + Drop build dependency against esound (Closes: #856077).
    + Uncomment built-using again.
    + Update standards-version to 4.1.4, no further changes required.
    + Re-add homepage with temporary home (Closes: #789352).
    + Update faucc b-d version to draw in new FAUcc (needs
      argument support for no-pie).
    + Remove obsolete lpia architecture.
  * debian/compat: Bump to version 9 (still allow building on 
    oldstable).
  * debian/copyright: Refresh with autogenerated information from
    upstream.

 -- Stefan Potyra <stefan@potyra.de>  Mon, 07 May 2018 20:49:15 +0200
