=== debian/rules ===
#!/usr/bin/make -f
# (C) 2008-2010 FAUmachine team. GPL-2+.
#
# based on:
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

TARGET=$(CURDIR)/debian/tmp


configure: configure.ac
	dh_testdir
	./autogen.sh

config.status: configure
	dh_testdir
	./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--enable-build-userguide \
		--disable-prefix-search

build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

mrproper: clean
	rm -f debian/copyright

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cp copyright debian/copyright
	if [ -f Makefile ]; then make mrproper; else echo "No Makefile"; fi
	rm -rf debian/tmp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	make install DESTDIR=$(TARGET)

# nothing to do, no arch:all package built.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_lintian -i
	dh_compress -i --exclude=examples --exclude=.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i -- \
        '-Vlibfauhdli-dev:Built-Using=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libfauhdli-dev)'
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs -a NEWS
	dh_lintian -a
	dh_install -a --sourcedir=debian/tmp
	dh_strip -a
	dh_link -a
	dh_compress -a --exclude=examples --exclude=.pdf
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- \
        '-Vlibfauhdli-dev:Built-Using=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libfauhdli-dev)'
	dh_md5sums -a
	dh_builddeb -a

build-indep: build-stamp
build-arch: build-stamp
build: build-indep build-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install mrproper build-arch
.PHONY: build-indep
